lasmerge(1)

NAME
lasmerge - merge multiple LAS files into a single file

SYNOPSIS
lasmerge
[-h | -i arg ... [-scale 0.01] [-verbose] [-olas] [-o arg] ]

DESCRIPTION
lasmerge reads multiple LIDAR data files in the LAS format and merges them into a single file. The filenames can either be provided one by one or in form of a text file.

All the header information of the first file provided is used including variable and user_defined headers. But some records are updated by integrating the corresponding information from other headers. These are:

•   number_of_point_records

•   number_of_points_by_return[5]

•   max_x, min_x, max_y, min_y, max_z, and min_z

In addition x_scale_factor, y_scale_factor, z_scale_factor may need to be increased to accommodate a possibly larger bounding box. The user can also set those in the command line with

\FC-scale 0.01\F[] or \FC-scale_xyz 0.01 0.01 0.001\F[]

Similarly a new offset can be specified

\FC-xyz_offset 63025000 483450000 0\F[]

OPTIONS

\FC-h\F[]
    produce help message

\FC-i\F[] arg
    input LAS file. Can be specified multiple times.

\FC-scale\F[] 0.01
    scale input file(s)

\FC-verbose\F[]
    verbose output

\FC-olas\F[]
    output to STDOUT.

\FC-o\F[] arg
    output LAS file.

EXAMPLE
\FC
$ lasmerge -i in1.las -i in2.las -i in3.las -o out.las
      \F[]

merge the three inX.las files into one out.las file.

\FC
$ lasmerge -i las_file_list.txt -o out.las
      \F[]

merges all LAS files listed in the text file into one out.las file

\FC
$ lasmerge -i las_file_list.txt -o out.las -scale 0.01 -verbose
      \F[]

merges the file and stores the LIDAR points with 0.01 accuracy in x, y, and z and prints out control information.

\FC
$ lasmerge -i las_file_list.txt -o out.las -scale_xyz 0.01 0.01 0.001
      \F[]

same but with a different accuracy for z.